#
# spec file for package riff
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           riff
Version:        3.1.0~0
Release:        1.1
Summary:        A diff filter highlighting which line parts have changed
License:        MIT
URL:            https://github.com/walles/riff
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
Requires:       diff
ExclusiveArch:  %{rust_tier1_arches}

%description
Riff is a wrapper around diff that highlights which parts of lines have changed.

%prep
%autosetup -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Mon Mar 18 2024 Michael Vetter <mvetter@suse.com>
- Update to 3.1.0:
  * Aka --ignore-all-space, makes a b c be treated as equal to abc.
* Mon Mar 18 2024 Michael Vetter <mvetter@suse.com>
- Update to 3.0.1:
  * Before this release, we just removed all color from git --oneline
    output. With this release, we now retain the existing color for
    lines we have no special handling for. #62
* Mon Mar  4 2024 Michael Vetter <mvetter@suse.com>
- Update to 3.0.0:
  * Starting from now, here's how to integrate with git:
    git config --global pager.diff riff
    git config --global pager.show riff
    git config --global pager.log riff
    git config --global interactive.diffFilter "riff --color=on"
  * Note that the interactive.diffFilter has changed.
* Thu Feb 15 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.32.0:
  * Don't color output when piping
* Mon Feb 12 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.31.1:
  * Fix a hang with large + / - sections
* Thu Feb  8 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.31.0:
  * If you do git diff when there are conflict markers,
    those conflict markers will now be helpfully highlighted.
    See #56 and #57.
* Mon Feb  5 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.30.1:
  * Fix crash by handling conflict markers corner cases properly
* Thu Feb  1 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.30.0:
  * Option to put command line options in the RIFF environment variable
    and riff will use them primarily
  * --no-adds-only-special flag added
  * Improved --- and +++ headers highlighting
* Wed Jan 31 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.20.1:
  * Fix losing part of the diff
  * Align diff file timestamp
* Tue Jan 30 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.29.0:
  * Improve error handling
  * Improve display
* Thu Jan 25 2024 Michael Vetter <mvetter@suse.com>
- Update to 2.28.0:
  * Conflict markers can be added to files by git merge for example.
* Tue Nov 14 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.27.1:
  * Don't require file names with -b #54.
* Sun Sep 24 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.27.0:
  * Fix crash when you remove a line starting with "--" and passed
    the diff to riff, riff would crash #51
    As a side effect, riff will now be pickier with its input. If
    you modify your diffs manually, beware.
* Sun Sep 17 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.26.0:
  * Add -f flag for specifying a diff file to highlight
  * With this release there are two ways of highlighting a particular
    diff file:
    + riff < file.diff
    + riff --file=file.diff
  * Command line parsing has been updated to use Clap, which will
    make help output look somewhat different. Should also fix some
    options parsing corner cases.
* Mon Sep 11 2023 Michael Vetter <mvetter@suse.com>
- Initial package of riff 2.25.2 for openSUSE
